/*---------------------------------------------------------------------------\
| Project:  PIC18F458 CAN Node Core Firmware
|
| File:     handlers.c
|
| Descr.:   Application specific code which must be executed on an interrupt.
|           Essentially, these are "hooks" into the core's interrupt service
|           routines.
|
|           YOU SHOULD MODIFIY THIS FILE FOR YOUR APPLICATION, ALONG WITH
|           THE CONFIG.H FILE. FEEL FREE TO EVEN CUT AND COPY THESE FUNCTIONS
|           TO OTHER FILES.
|
|           HOWEVER, DO *NOT* CHANGE THE #IF, OR THE NAME AND TYPE OF THE
|           HANDLER FUNCTIONS.
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 09/07/2002 | Created to store examples of handlers.
\---------------------------------------------------------------------------*/

#include <piccore.h>
#include "pwr.h"

/*---------------------------------------------------------------------------\
| Function:     ADCApplicationHandler
|
| Purpose:      Set the temp_can_msg_flag flag when pic adc is done its conversion
|
| Discussion:   See purpose
|
| Expects:      The ADON=1, GODONE previously asserted.
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 09/12/2002 | Created if you can call it that.
\---------------------------------------------------------------------------*/

#if INTS_ADC_APPLICATION_HOOK == INTS_HOOK_ENABLED

void adc_application_handler (void)
{
    temp_can_msg_flag = 1;
}

#endif


/*---------------------------------------------------------------------------\
| Function:     Application_Timer2_Handler
|
| Purpose:      Set the correct bits in the Sample_ADC
|
| Discussion:   By compairing the global vars of sample rates against
|               Those of the local sample rate count.  Integer divide
|               by count not mod.
|
| Expects:      The four global sample rate variables to be set.
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 09/07/2002 | Created if you can call it that.
\---------------------------------------------------------------------------*/

#if INTS_TIMER2_APPLICATION_HOOK == INTS_HOOK_ENABLED

void timer2_application_handler ()
{

    // bus current
    if(!

    // bus voltage
/*       // temperature runs off the pic's adc so lets start that working as well.
    if(temp_flag)
    {
      GODONE = 1;
      temp_flag = 0;
    }
*/
} // end Application_Timer2_Handler

#endif



